/*
 * Copyright (c) 2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef ASYNCHRONOUS_SIGNALS_TYPE_SIGNAL_EXECUTOR_FWD_HPP
#define ASYNCHRONOUS_SIGNALS_TYPE_SIGNAL_EXECUTOR_FWD_HPP 1

namespace asynchronous
{

  namespace signals
  {

    namespace type
    {

      template < typename SignalTag >
      class signal_executor;

      template < typename SignalTag, typename ... T >
      using signal_executor_t = typename signal_executor<SignalTag>::template apply<T...>::type;

    } // namespace type

  } // namespace signals

} // namespace asynchronous

#endif
