/*
 * Copyright (c) 2016,2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef DATAFRAME_TRIM_WHITESPACE_HPP
#define DATAFRAME_TRIM_WHITESPACE_HPP 1

#include <dataframe/manipulator_storage_base.hpp>

namespace dataframe
{

  class trim_ws
    : public manipulator_storage_base< trim_ws >
  {
    using base = manipulator_storage_base< trim_ws >;

  public:
    template < typename ... Args >
    trim_ws (Args&& ... args)
      : base(std::forward<Args>(args)...)
    {}
  };

  auto trim_whitespace (std::ios_base& ios_base) { return trim_ws(ios_base); }
  auto trim_whitespace (bool flag) { return trim_ws(flag); }
  auto trim_whitespace () { return trim_whitespace(true); }
  
} // namespace dataframe

#endif
