/*
 * Copyright (c) 2017 Brook Milligan.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#ifndef GRAPH_MODEL_VERTEX_CDF_ARCHETYPE_BASE_HPP
#define GRAPH_MODEL_VERTEX_CDF_ARCHETYPE_BASE_HPP 1

#include <graph_model/concept/cdf_policy_archetype_base.hpp>
#include <graph_model/concept/probability_archetype.hpp>
#include <graph_model/concept/type/probability_archetype_base.hpp>
#include <graph_model/concept/type/variate_archetype_base.hpp>
#include <graph_model/concept/variate_archetype.hpp>

namespace graph_model
{

  namespace concept
  {

    /// CDF archetype base class
    ///
    template < typename Variate
	       , typename Probability
	       >
    struct cdf_archetype_base
      : virtual type::variate_archetype_base<Variate>
      , virtual type::probability_archetype_base<Probability>
      , cdf_policy_archetype_base<Variate,Probability>
    {};

  } // namespace concept

} // namespace graph_model

#endif
