/*
 * Copyright (c) 2017 Gregory Penn.
 *
 * This file is part of the GraphModel Library.
 *
 *     The GraphModel Library is free software: you can redistribute
 *     it and/or modify it under the terms of the GNU Affero General
 *     Public License as published by the Free Software Foundation,
 *     either version 3 of the License, or (at your option) any later
 *     version.
 *
 *     The GraphModel Library is distributed in the hope that it will
 *     be useful, but WITHOUT ANY WARRANTY; without even the implied
 *     warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *     PURPOSE.  See the GNU Affero General Public License for more
 *     details.
 *
 *     You should have received a copy of the GNU Affero General
 *     Public License along with the GraphModel Library.  If not, see
 *     <http://www.gnu.org/licenses/>.
 */

/// \file

#define BOOST_TEST_MODULE gdal

#ifdef INCLUDE_UNIT_TEST_HEADERS
#include <boost/test/included/unit_test.hpp>
#else
#include <boost/test/unit_test.hpp>
#endif

template < typename ... T > class XXX;

#include <iostream>
#include <gdal/vectordataset.hpp>

using namespace gdal;

#define datasource "../data/tl_2010_35_county10/tl_2010_35_county10.shp"

BOOST_AUTO_TEST_CASE(vectordataset_default_constructor)
{
  vectordataset h;
}

BOOST_AUTO_TEST_CASE(vectordataset_bool)
{
  vectordataset h(datasource);
}

BOOST_AUTO_TEST_CASE(vectordataset_layer)
{
  vectordataset h(datasource);
  auto l = h.layer(0);
}
